Subject: To fan the flames....

From: [email-masked] (Jon Flower)
Date: Thu, 11 Mar 93 12:33:21 PST

To add another layer of hypothetical justification to my
argument .......... I think that looking at what we can
achieve in the next few meetings is actually only a part
of the issue. Probably a larger part of my concern is how
long after we produce a draft some reasonably large
percentage of the vendors will actually be supporting
whatever it is we come up with. Having commitments from
vendors to support MPI1 is a long way from actually
having an implementation that "kicks #$%$%^$%" in our
hot little hands. (Cf. the vendor "acceptance" of OSF
for a good example.)

My biggest fear is that if MPI-1 is a massive system
then the first implementations might be a year after
we finish and the first "good" ones (i.e., that actually
use some of the really advanced and "neat" stuff that
we put into MPI-1 just for that purposes) may take
two or more years!! Is that worth it? I don't think
so.

Of course, I'm probably slandering the vendors and if
so I apologise. Perhaps they are better off than I 
think they are. My impression, however, is that they
are struggling to get other stuff solid which they
probably would be totally justified in thinking is
more important than implementing MPI.

Of course this argument doesn't include third parties,
either commercial or not, from implementing MPI
on top of other systems and giving them to the world.
This could clearly happen on a shorter time-scale.
However, I expect MPI to fail if this is the best we
can offer because people will still find it "convenient"
to use vendor specific alternatives that have higher
performance.

	Jon

p.s., Just for the sake of it someone asked for a 
definition of "common practice" - a term that I've
bandied about without justification. Without too much
thought I think a viable definition might be to take
the intersection of all the systems that are currently
in use to develop application codes. This is a
conceptual intersection, of course, not a strict 
one since all systems differ in details. This
differs in my mind from what we have in the current
MPI spec. which might be termed the transitive closure
of all the ideas in current use!!!